%define		php_name	php%{?php_suffix}
%define		modname	namazu
%define		status		beta
%define		_rc RC1
%define		rel 8
Summary:	%{modname} - full-text search extension using Namazu
Summary(pl.UTF-8):	%{modname} - pełnotekstowe wyszukiwanie z użyciem Namazu
Name:		%{php_name}-pecl-%{modname}
Version:	2.2.0
Release:	0.%{_rc}.%{rel}
License:	PHP or GPL
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}%{_rc}.tgz
# Source0-md5:	3b1a01c812df4db4348b724f22fa2f09
URL:		http://pecl.php.net/package/namazu/
BuildRequires:	namazu-devel
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Namazu is a full-text search system. This module an interface to the
Namazu library. This extension is originally made by Takuya Tsukada.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Namazu jest to system wyszukiwania pełnotektsowego. Ten moduł jest
interfejsem do biblioteki Namazu. Rozszerzenie początkowo naspisane
przez Takuya Tsukada.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}%{?_rc}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL README* sample
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-namazu.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> bc6a11a
- release 8 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 7a2c6c5
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> a35ed5f
- release 7

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> acd63df
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ae1d8e5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d75d496
- converted to UTF-8

* Thu Jan 04 2007 Elan Ruusamäe <glen@pld-linux.org> 0b325ec
- typo

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 0869010
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 9830829
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 5263285
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 44d1863
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 97663d1
- rel 0.RC1.4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> d785e8e
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 1cf8da8
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> a2b6933
- superfluous BR libtool removed

* Sat Feb 19 2005 Adam Gołębiowski <adamg@pld-linux.org> a50b508
- new

